##
##  xmake.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         xmake
Summary:      Powerful Project Making
URL:          http://apollo.backplane.com/xmake/
Vendor:       Matt Dillon
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Building
License:      no restrictions
Version:      1.06
Release:      20080101

#   list of sources
Source0:      http://apollo.backplane.com/xmake/xmake-%{version}.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, make, gcc
PreReq:       OpenPKG, openpkg >= 20040130, gcc
AutoReq:      no
AutoReqProv:  no

%description
    xmake is simliar to other make's out there, but is specifically designed
    to allow you to easily construct multiple complex dependancies without
    getting screwed by default rulesets. xmake contains a number of features
    specifically designed to trivialize the construction of compilation rules.

%track
    prog xmake = {
        version   = %{version}
        url       = http://apollo.backplane.com/xmake/
        regex     = xmake-(__VER__)\.tgz
    }

%prep
    %setup -q -n xmake
    %{l_shtool} subst \
        -e 's;^\(#define[ 	]*CPPCMD[ 	]\).*$;\1 "%{l_cc} -E -DXMAKE -nostdinc " INCLS " -x c";' \
        defs.h

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}"
    %{l_shtool} subst \
        -e 's;cc;%{l_cc};g' \
        -e 's;^\(\.set CFLAGS\).*;\1 %{l_cflags -O};' \
        XMakefile
    ./xmake -f XMakefile

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        obj/xmake obj/xmkproto $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        xmake.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

